webdevqa.jp.net

Gradle testCompileエラー

Android Studioでプロジェクトを作成しようとしています。アプリを実行すると、次のエラーが発生します。

Error:(10, 0) Gradle DSL method not found: 'testCompile()'
Possible causes:
-The project 'AccurateCalculator' may be using a version of the Android Gradle plug-in that does not contain the method (e.g. 'testCompile' was added in 1.1.0).
-Upgrade plugin to version 2.3.2 and sync project.The project 'AccurateCalculator' may be using a version of Gradle that does not contain the method.
-Open Gradle wrapper file.The build file may be missing a Gradle plugin. Apply Gradle plugin

プロジェクトのbuild.gradeには次のコードがあります。

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.Android.tools.build:gradle:2.2.0'
    }
}

allprojects {
    repositories {
        jcenter()
    }
}

モジュールのbuild.gradleには次のコードがあります。

apply plugin: 'com.Android.application'

Android {
    compileSdkVersion 17
    buildToolsVersion "25.0.2"

    defaultConfig {
        applicationId "calculator.app"
        minSdkVersion 14
        targetSdkVersion 17
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.txt'
        }
    }
}

dependencies {
    compile 'com.Android.support:support-v4:18.0.0'
    compile files('libs/achartengine.jar')
    compile files('libs/arity-2.1.6.jar')
    compile files('libs/ejml-0.21.jar')
    compile files('libs/slider.jar')
}

誰か助けてくれますか?

前もって感謝します。

9
userash

警告が示すように、プラグインを2.3.2にアップグレードすると、問題が解決するはずです。

classpath 'com.Android.tools.build:gradle:2.3.2'
3
azizbekian

この問題に直面し、gradleファイルを変更しても問題を解決できなかった場合:

MACをフォーマットした後、この問題に直面しました。私にとっての修正は、OSの言語を英語に戻すことでした。それを試すことをお勧めします。

OS言語(MAC)を変更する場合

0